Module
Contents
Index 🔎︎

# GlobalScope

Basic source code and dialogues are organised in a library system.

- The LibraryContainer contains libraries

- Libraries can contain modules and dialogues

## In Basic:

- The LibraryContainer is called BasicLibraries.

## In dialogues:

- The LibraryContainer is called DialogLibraries.

Both LibraryContainers exist in an application level and within every document. In the document Basic, the document's LibraryContainers are called automatically. If you want to call the global LibraryContainers from within a document, you must use the keyword GlobalScope.

## Syntax:

    GlobalScope

## Example:

Example in the document Basic

    ' calling Dialog1 in the document library Standard

    oDlgDesc = DialogLibraries.Standard.Dialog1

    ' calling Dialog2 in the application library Library1

    oDlgDesc = GlobalScope.DialogLibraries.Library1.Dialog2